BazaarLinkBazaarLink
Sign in
DocsAPI ReferenceSDK ReferenceAgentic UsageAI Skills
Social and Commerce Data

List data capabilities

Lists enabled platforms and actions, required and optional parameters, async support, and customer prices. This service is coming soon and off by default.

GET/v1/data/catalog

Authorizations

Authorizationrequired
string · header

API key as bearer token in the Authorization header.

Deep guide →

GET /v1/data/catalog
curl https://api.bazaarlink.ai/v1/data/catalog \
  -H "Authorization: Bearer $BAZAARLINK_API_KEY"
Response examples

Available actions and customer prices.

{
  "object": "data.catalog",
  "product": "BazaarLink Data API",
  "platforms": [
    {
      "platform": "twitter",
      "actions": [
        {
          "action": "search",
          "label": "Keyword search",
          "required_params": [
            "keyword"
          ],
          "optional_params": [
            "sort"
          ],
          "max_limit": 200,
          "async": false,
          "price_usd": 0.0048
        }
      ]
    },
    {
      "platform": "instagram",
      "actions": [
        {
          "action": "discover",
          "label": "Discover",
          "required_params": [
            "keyword"
          ],
          "optional_params": [],
          "max_limit": null,
          "async": true,
          "price_usd": 0.0096
        }
      ]
    }
  ]
}
Support
Support
Hi! How can we help you?
Send a message and we'll get back to you soon.
List data capabilities — BazaarLink API